Bug 165450 - Output Anomaly from tethereal -z stats package
Output Anomaly from tethereal -z stats package
Product: Fedora
Classification: Fedora
Component: ethereal (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Depends On:
  Show dependency treegraph
Reported: 2005-08-09 11:23 EDT by Tim Everitt
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-15 09:15:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Everitt 2005-08-09 11:23:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
Use of the tethereal -z statistics module produces some anolalous output.
e.g. tethereal -r file -z "io,stats,1,SUM(frame.pkt_len)frame.pkt_len" finds no traffic so produces no output after the headers.
The same command run on a version of ethereal build from source-code downloaded from ethereal.com on a FC4 system produces correct output.
The FC4 RPM was downloaded from rpmfind.net.
I believe that this situation has been present in RPMs from RedHat for some time, at least since about 0.10.10.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. tethereal -r <pcapfile> -z "io,stat,1,SUM(frame.pkt_len)frame.pkt_len"
2. Running on new-build FC4 system

Actual Results:  System produces standard stats package output headers but then 0 (zero) data instead of a table of numbers.

Expected Results:  Table of numbers.
tethereal -r <pcapfile> -z "io,stat,1,SUM(tcp.len)tcp.len"
for example on file with TCP/IP traffic capture.

Additional info:

I suspect that this anomaly has been present in RedHat builds of ethereal RPMs placed on rpmfind.net since at least version 0.10.10 of ethereal.
Comment 1 Radek Vokal 2005-08-10 07:30:16 EDT
Which configure parameters do you pass to your localy build ethereal? It seems
to work for me, some of the statitics display non-zero values. 
Comment 2 Tim Everitt 2005-08-11 05:12:19 EDT
No configure parameters at all.
Source code build is timple gunzip, tar, ./configure, make, make install process.

I have done a complete new build of FC4 (on Intel) using the Workstation option
accepting defaults at all stages.

Then I install the dmidecode, lm_sensors, net-snmp and net-snmp-libs rpms, all
from the FC4 distribution (all on CD#1) to meet the rpm dependency requirements.

Then I install the ethereal-0.10.12-1.FC4.2.i386.rpm rpm downloaded from the
redhat we site. 

All rpm commands use simple rpm -ivh <rpmfile> commands and proceed normally.

tethereal -r <pcapfile> -z "io,stat,1,SUM(frame.pkt_len)frame.pkt_len" command
continues to show zero output. 

Any use of a "frame..." operator in the stats package continues to get no
output. Other operators work normally. e.g. the similar command

tethereal -r <pcapfile> -z "io,stat,1,SUM(ip.len)ip.len" functions normally.
Comment 3 Radek Vokal 2005-08-15 09:15:27 EDT
Upstream has already fixed it, will come out with next release.
Comment 4 Radek Vokal 2005-08-16 04:56:36 EDT
Fixed in ethereal-0.10.12-6 (picked up latest upstream source)

Note You need to log in before you can comment on or make changes to this bug.